## org.exist.util
Class LockException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.exist.util.LockException

All Implemented Interfaces:
  java.io.Serializable

public class LockException
extends java.lang.Exception

Author:
  wolf To change this generated comment edit the template variable "typecomment": Window>Preferences>Java>Templates. To enable and disable the creation of type comments go to Window>Preferences>Java>Code Generation.
See Also:
  Serialized Form

Constructor Summary
`LockException()` Constructor for LockException.
`LockException(java.lang.String s)` Constructor for LockException.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LockException

    public LockException()

  Constructor for LockException.

### LockException

    public LockException(java.lang.String s)

  Constructor for LockException.

Parameters:
  `s` -

Copyright (C) Wolfgang Meier. All rights reserved.